package org.dsrg.labs.util;

import java.net.URL;
import java.util.Properties;

/**
* Utility class used for storing logging messages. It acts like a fascade 
* for various logging solutions. Contains usefull methods which provides 
* ability for storing debug messages in a log4j file.
*
* @version  $Id: Logger.java,v 1.1.1.1 2004/02/20 10:37:10 bombel Exp $
* @author bombel
*/
public abstract class Logger
{
    public static void init(String filePath)
    {
    }

    public static void init(URL url)
    {
    }

    public static void init(Properties props)
    {
    }

    public static void error(String message, Throwable t)
    {
        //Log4J.error(message, t);
	System.err.println( message );
	t.printStackTrace();
    }

    public static void error(String message)
    {
        //Log4J.error(message);
	System.err.println( message );
    }

    public static void debug(String message)
    {
        //Log4J.debug(message);
	System.out.println( message );
    }

    public static void info(String message)
    {
        //Log4J.debug(message);
        System.out.println( message );
    }

}
